summaryrefslogtreecommitdiffstats
path: root/source/l/libtheora
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/libtheora
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/libtheora')
-rw-r--r--source/l/libtheora/libtheora-1.1.1-libpng16.patch17
-rw-r--r--source/l/libtheora/libtheora-1.1.1.latex.patch54
-rwxr-xr-xsource/l/libtheora/libtheora.SlackBuild32
-rw-r--r--source/l/libtheora/slack-desc8
4 files changed, 98 insertions, 13 deletions
diff --git a/source/l/libtheora/libtheora-1.1.1-libpng16.patch b/source/l/libtheora/libtheora-1.1.1-libpng16.patch
new file mode 100644
index 000000000..93da700c4
--- /dev/null
+++ b/source/l/libtheora/libtheora-1.1.1-libpng16.patch
@@ -0,0 +1,17 @@
+http://bugs.gentoo.org/465450
+http://trac.xiph.org/ticket/1947
+
+--- examples/png2theora.c
++++ examples/png2theora.c
+@@ -462,9 +462,9 @@
+ png_set_strip_alpha(png_ptr);
+
+ row_data = (png_bytep)png_malloc(png_ptr,
+- 3*height*width*png_sizeof(*row_data));
++ 3*height*width*sizeof(*row_data));
+ row_pointers = (png_bytep *)png_malloc(png_ptr,
+- height*png_sizeof(*row_pointers));
++ height*sizeof(*row_pointers));
+ for(y = 0; y < height; y++) {
+ row_pointers[y] = row_data + y*(3*width);
+ }
diff --git a/source/l/libtheora/libtheora-1.1.1.latex.patch b/source/l/libtheora/libtheora-1.1.1.latex.patch
new file mode 100644
index 000000000..bf7d85477
--- /dev/null
+++ b/source/l/libtheora/libtheora-1.1.1.latex.patch
@@ -0,0 +1,54 @@
+From: =?utf-8?q?Martin_Stegh=C3=B6fer?= <martin@steghoefer.eu>
+Date: Tue, 22 Sep 2015 10:17:33 +0200
+Subject: Use the float latex package in the spec.
+
+Author: Ralph Giles <giles@mozilla.com>
+Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=790442
+Origin: backport, https://git.xiph.org/?p=theora.git;a=commitdiff;h=fbb275803696085225c310773474ef4dcf8a4528
+
+Newer texlive distributions require \usepackage{float} for
+the [H] figure layout directive. We use this to make sure
+the header layout figures are at the top of their respective
+sections for conventional reference like in an RFC, so requiring
+the additional package is safer than falling back to standard
+latex [h] or [!h].
+
+Note that [H] from the float package is incompatible with
+fallback specifiers.
+
+The configure script will automatically check for the new package.
+
+---
+ doc/spec/spec.tex | 5 +++--
+ 1 file changed, 3 insertions(+), 2 deletions(-)
+
+diff --git a/doc/spec/spec.tex b/doc/spec/spec.tex
+index b29d4ef..db535a4 100644
+--- a/doc/spec/spec.tex
++++ b/doc/spec/spec.tex
+@@ -11,6 +11,7 @@
+ \usepackage{longtable}
+ \usepackage{ltablex}
+ \usepackage{wrapfig}
++\usepackage{float}
+ \usepackage[pdfpagemode=None,pdfstartview=FitH,pdfview=FitH,colorlinks=true]%
+ {hyperref}
+
+@@ -1949,7 +1950,7 @@ These are indicated as they appear in the sections below.
+ \section{Common Header Decode}
+ \label{sub:common-header}
+
+-\begin{figure}[Htbp]
++\begin{figure}[H]
+ \begin{center}
+ \begin{verbatim}
+ 0 1 2 3
+@@ -2024,7 +2025,7 @@ Packets with other header types (\hex{83}--\hex{FF}) are reserved and MUST be
+ \section{Identification Header Decode}
+ \label{sec:idheader}
+
+-\begin{figure}[Htbp]
++\begin{figure}[H]
+ \begin{center}
+ \begin{verbatim}
+ 0 1 2 3
diff --git a/source/l/libtheora/libtheora.SlackBuild b/source/l/libtheora/libtheora.SlackBuild
index 1f8a1abf5..a3b9ee5db 100755
--- a/source/l/libtheora/libtheora.SlackBuild
+++ b/source/l/libtheora/libtheora.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,31 +20,39 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libtheora
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -60,7 +68,7 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
-cd ${PKGNAM}-$VERSION
+cd ${PKGNAM}-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -70,18 +78,24 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/libtheora-1.1.1-libpng16.patch.gz | patch -p0 --verbose || exit 1
+zcat $CWD/libtheora-1.1.1.latex.patch.gz | patch -p1 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--disable-static \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Use the source, Luke.
rm -rf $PKG/usr/share/doc
rmdir $PKG/usr/share
diff --git a/source/l/libtheora/slack-desc b/source/l/libtheora/slack-desc
index 114ad64ac..566186cff 100644
--- a/source/l/libtheora/slack-desc
+++ b/source/l/libtheora/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -13,7 +13,7 @@ libtheora: for use within the Foundation's Ogg multimedia streaming system.
libtheora:
libtheora: The Theora bitstream format was frozen after the alpha3 release. This
libtheora: means that files produced by the alpha3 encoder will always be
-libtheora: playable according to the Theora I specification. Traditionally
+libtheora: playable according to the Theora I specification. Traditionally
libtheora: alpha means a proof of concept, not a production-ready release.
libtheora: However the code is very robust, ready for and indeed in general use.
libtheora: